lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [day] [month] [year] [list]
Date:   Tue, 14 Jan 2020 10:19:34 +0100
From:   Tim Sander <tim@...eglstein.org>
To:     Greg Kroah-Hartman <gregkh@...uxfoundation.org>
Cc:     Florian Fainelli <f.fainelli@...il.com>,
        Jayati Sahu <jayati.sahu@...sung.com>,
        Sriram Dash <sriram.dash@...sung.com>,
        Padmanabhan Rajanbabu <p.rajanbabu@...sung.com>,
        netdev@...r.kernel.org,
        Giuseppe Cavallaro <peppe.cavallaro@...com>,
        Alexandre Torgue <alexandre.torgue@...com>,
        Jose Abreu <joabreu@...opsys.com>,
        "David S. Miller" <davem@...emloft.net>,
        Jeff Kirsher <jeffrey.t.kirsher@...el.com>,
        andriy.shevchenko@...ux.intel.com
Subject: Re: Commit bfdbfd28f76028b960458d107dc4ae9240c928b3 leads to crash on Intel SocFPGA Cyclone 5 DE0 NanoSoc

Am Montag, 13. Januar 2020, 19:24:53 CET schrieb Greg Kroah-Hartman:
> On Mon, Jan 13, 2020 at 09:51:54AM -0800, Florian Fainelli wrote:
> > On 1/13/20 9:37 AM, Tim Sander wrote:
> > > Hi
> > > 
> > > I just found out that the commit
> > > bfdbfd28f76028b960458d107dc4ae9240c928b3
> > > which also went in the stable release series causes an oops
> > > in the stmicro driver an a Terrasic DE0 NanoSoc board with Intel SocFPGA
> > > CycloneV chip. I am currently following Preempt-RT that's why i just
> > > noticed only yet when testing 5.4.10-rt5 but this also occurs without
> > > any Preempt-RT patchset. Reverting the patch fixes the oops.
> > > 
> > > It would be nice if this change could be reverted or otherwise fixed.
> > 
> > This should be fixed with:
> > 
> > https://git.kernel.org/pub/scm/linux/kernel/git/netdev/net.git/commit/?id=
> > da29f2d84bd10234df570b7f07cbd0166e738230
> > 
> > which will likely make it so stable soon.
> 
> It was already in the 5.4.11 kernel release.  Tim, can you try that?
I have successfully tried 5.4.11 and 5.5-rc6. Both don't show this error.

Best regards
Tim


Powered by blists - more mailing lists